Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/File_Lock.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_stdio.h"`
`#include "ace/File_Lock.inl"`

Include dependency graph for File_Lock.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_File_Lock
| A wrapper around the UNIX file locking mechanism. More...

## Detailed Description

Id:
  File_Lock.h,v 4.6 2003/11/01 11:15:12 dhinton Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>